import React from "react";
import { useAuth0 } from "./react-auth0-wrapper";

//import material UI
import ListItem from '@material-ui/core/ListItem';
import ListItemIcon from '@material-ui/core/ListItemIcon';
import ListItemText from '@material-ui/core/ListItemText';

//import logo
import logo from "../../assets/images/auth0.png"

const NavBar = () => {
  const {loginWithRedirect} = useAuth0();

  return (
    <ListItem button onClick={() => loginWithRedirect({})}>
      <ListItemIcon>
        <img height={40} src={logo} alt={"auth0"}/>
      </ListItemIcon>
      <ListItemText primary="Login with Auth0" />
    </ListItem>
  );
};

export default NavBar;