import React from 'react';
import { makeStyles } from '@material-ui/core/styles';
import Avatar from '@material-ui/core/Avatar';
import Grid from '@material-ui/core/Grid';
import { Typography } from '@material-ui/core';

const useStyles = makeStyles({
  avatar: {
    margin: 10,
  }
});

export default function ImageAvatars({first, last, picture}) {
  const classes = useStyles();

const userAvatar = () => {
    if(picture === false){
        return (
            <Avatar className={classes.avatar}>{first.substring(0,1) + last.substring(0,1)}</Avatar>
        );
    }
    else{
        return(
            <Avatar color={"secondary"} alt="user" src={picture} className={classes.avatar} />
        );
    }
}

  return (
    <Grid container justify="center" alignItems="center">
        {userAvatar()}
        <Typography>{first + " " + last}</Typography>
    </Grid>
  );
}
